- [HTTP request](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#body.request_body)
  - [JSON representation](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#body.response_body)
- [RemittanceStatementDetailsResponse](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#RemittanceStatementDetailsResponse)
  - [JSON representation](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#RemittanceStatementDetailsResponse.SCHEMA_REPRESENTATION)
- [IssuerSummary](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#IssuerSummary)
  - [JSON representation](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#IssuerSummary.SCHEMA_REPRESENTATION)
- [RevshareCategorySummary](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#RevshareCategorySummary)
  - [JSON representation](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#RevshareCategorySummary.SCHEMA_REPRESENTATION)
- [RevshareCategory](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#RevshareCategory)
- [Event](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#Event)
  - [JSON representation](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#Event.SCHEMA_REPRESENTATION)
- [EventDetail](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#EventDetail)
  - [JSON representation](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#EventDetail.SCHEMA_REPRESENTATION)
- [EventSummary](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#EventSummary)
  - [JSON representation](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#EventSummary.SCHEMA_REPRESENTATION)
- [AdjustmentEvent](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#AdjustmentEvent)
  - [JSON representation](https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#AdjustmentEvent.SCHEMA_REPRESENTATION)

Returns transaction detail information about a remittance statement.

This is a paginated API. The number of transaction events per page can be specified with `numberOfEvents`. If unspecified, the maximum of 1000 events will be returned per page. Each request to this API will return a `nextEventOffset` pointing to the next transaction event in the statement, as well as `remittanceStatementSummary.totalEvents` specifying the total number of transactions in the statement. If the current retrieved page contains the last transactions of the statement, `nextEventOffset` will not be present in the response.

The `statementId` value is the `requestId` from the [`remittanceStatementNotificationRequest`](https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/remittanceStatementNotification#google.standardpayments.flows.carrier_remittance.v1.PaymentIntegratorCarrierRemittanceService.RemittanceStatementNotification)

If the endpoint encounters an error while processing the request, the endpoint will return HTTP 4xx or 5xx and the HTTP body will either be of type [`ErrorResponse`](https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/ErrorResponse) or contain a generic error (e.g. a message similar to "There was an error. Please try again later.").

The generic error is used in situations where an [`ErrorResponse`](https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/ErrorResponse) with a clear description could be used to help an attacker understand the payment integrator account identifier of other integrators. In these situations, where either the signing key doesn't match, the payment integrator identifier was not found, or the encryption key was unknown, this method will return a generic error. If the request signature could be verified, additional information regarding the error will be returned in an [`ErrorResponse`](https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/ErrorResponse).

An example request looks like:


    {
      "requestHeader": {
        "protocolVersion": {
          "major": 1
        },
        "requestId": "statement_detail_request_139932019",
        "requestTimestamp": {
          "epochMillis": "1502551332087"
        },
        "paymentIntegratorAccountId": "InvisiCashUSA_USD"
      },
      "statementId": "0123434-statement-abc",
      "numberOfEvents": 5
    }

An example response looks like:


    {
      "responseHeader": {
        "responseTimestamp": {
          "epochMillis": "1481900013178"
        }
      },
      "eventOffset": 0,
      "nextEventOffset": 5,
      "remittanceStatementSummary": {
        "statementDate": {
          "epochMillis": "1502521200000"
        },
        "billingPeriod": {
          "startDate": {
            "epochMillis": "1502434800000"
          },
          "endDate": {
            "epochMillis": "1502434800000"
          }
        },
        "dateDue": {
          "epochMillis": "1502348400000"
        },
        "totalDueByIntegrator": {
          "amountMicros": "1569000000",
          "currencyCode": "INR"
        },
        "totalProcessedAmount": {
          "amountMicros": "1669000000",
          "currencyCode": "INR"
        },
        "totalFeesAmount": {
          "amountMicros": "100000000",
          "currencyCode": "INR"
        },
        "totalDirectTaxAmount": {
          "amountMicros": "100000",
          "currencyCode": "INR"
        },
        "totalWithholdingTaxAmount": {
          "amountMicros": "-1000000",
          "currencyCode": "INR"
        },
        "totalPresentmentAmounts": [
          {
            "amountMicros": "1669000000",
            "currencyCode": "INR"
          }
        ],
        "totalEvents": 15
      },
      "issuerSummaries": [
        {
          "issuerId": {
            "value": "invisiCarrier"
          },
          "totalByIssuer": {
            "amountMicros": "1569000000",
            "currencyCode": "INR"
          },
          "captureSummaries": [
            {
              "revshareCategory": "APP",
              "totalCharges": {
                "amountMicros": "700000000",
                "currencyCode": "INR"
              },
              "totalItemPrice": {
                "amountMicros": "665000000",
                "currencyCode": "INR"
              },
              "totalFees": {
                "amountMicros": "-28000000",
                "currencyCode": "INR"
                },
              "totalDirectTaxes": {
                "amountMicros": "35000000",
                "currencyCode": "INR"
              },
              "totalWithholdingTaxes": {
                "amountMicros": "0",
                "currencyCode": "INR"
              }
            },
            {
              "revshareCategory": "CONTENT",
              "totalCharges": {
                "amountMicros": "800000000",
                "currencyCode": "INR"
              },
              "totalItemPrice": {
                "amountMicros": "760000000",
                "currencyCode": "INR"
              },
              "totalFees": {
                "amountMicros": "-32000000",
                "currencyCode": "INR"
                },
              "totalDirectTaxes": {
                  "amountMicros": "40000000",
                "currencyCode": "INR"
              },
              "totalWithholdingTaxes": {
                "amountMicros": "0",
                "currencyCode": "INR"
              }
            },
            {
              "revshareCategory": "SPECIAL_APP",
              "totalCharges": {
                "amountMicros": "500000000",
                "currencyCode": "INR"
              },
              "totalItemPrice": {
                "amountMicros": "475000000",
                "currencyCode": "INR"
              },
              "totalFees": {
                "amountMicros": "-35000000",
                "currencyCode": "INR"
                },
              "totalDirectTaxes": {
                  "amountMicros": "25000000",
                "currencyCode": "INR"
              },
              "totalWithholdingTaxes": {
                "amountMicros": "0",
                "currencyCode": "INR"
              }
            }
          ],
          "refundSummaries": [
            {
              "revshareCategory": "APP",
              "totalCharges": {
                "amountMicros": "-200000000",
                "currencyCode": "INR"
              },
              "totalItemPrice": {
                "amountMicros": "-190000000",
                "currencyCode": "INR"
              },
              "totalFees": {
                "amountMicros": "8000000",
                "currencyCode": "INR"
              },
              "totalDirectTaxes": {
                "amountMicros": "-10000000",
                "currencyCode": "INR"
              },
              "totalWithholdingTaxes": {
                "amountMicros": "0",
                "currencyCode": "INR"
              }
            },
            {
              "revshareCategory": "CONTENT",
              "totalCharges": {
                "amountMicros": "-150000000",
                "currencyCode": "INR"
              },
              "totalItemPrice": {
                "amountMicros": "-142500000",
                "currencyCode": "INR"
              },
              "totalFees": {
                "amountMicros": "6000000",
                "currencyCode": "INR"
              },
              "totalDirectTaxes": {
                "amountMicros": "-7500000",
                "currencyCode": "INR"
              },
              "totalWithholdingTaxes": {
                "amountMicros": "0",
                "currencyCode": "INR"
              }
            }
          ]
        }
      ],
      "captureEvents": [
        {
          "eventRequestId": "bWVyY2hhbnQgdHJhbnNhY3Rpb24gaWQ",
          "revshareCategory": "APP",
          "issuerId": {
            "value": "invisiCarrier"
          },
          "eventDetail": {
            "eventCharge": {
              "amountMicros": "700000000",
              "currencyCode": "INR"
            },
            "eventTax": {
              "amountMicros": "35000000",
              "currencyCode": "INR"
            },
            "eventFee": {
              "amountMicros": "-28000000",
              "currencyCode": "INR"
            },
            "presentmentChargeAmount": {
              "amountMicros": "700000000",
              "currencyCode": "INR"
            },
            "nanoExchangeRate": "10000000000000"
          }
        },
        {
          "eventRequestId": "Ggghvh78200PQ3Yrpb",
          "revshareCategory": "CONTENT",
          "issuerId": {
            "value": "invisiCarrier"
          },
          "eventDetail": {
            "eventCharge": {
              "amountMicros": "800000000",
              "currencyCode": "INR"
            },
            "eventTax": {
              "amountMicros": "40000000",
              "currencyCode": "INR"
            },
            "eventFee": {
              "amountMicros": "-32000000",
              "currencyCode": "INR"
            },
            "presentmentChargeAmount": {
              "amountMicros": "800000000",
              "currencyCode": "INR"
            },
            "nanoExchangeRate": "10000000000000"
          }
        },
        {
          "eventRequestId": "bWVyY2hhbnQgdHJhbnNhY3Rpb24gaWQ",
          "revshareCategory": "SPECIAL_APP",
          "issuerId": {
            "value": "invisiCarrier"
          },
          "eventSummary": {
            "eventCharge": {
              "amountMicros": "500000000",
              "currencyCode": "INR"
            },
            "eventTax": {
              "amountMicros": "25000000",
              "currencyCode": "INR"
            },
            "presentmentChargeAmount": {
              "amountMicros": "500000000",
              "currencyCode": "INR"
            },
            "nanoExchangeRate": "10000000000000"
          }
        }
      ],
      "refundEvents": [
        {
          "eventRequestId": "liUrreQY233839dfFFb24gaQM",
          "revshareCategory": "APP",
          "issuerId": {
            "value": "invisiCarrier"
          },
          "eventDetail": {
            "eventCharge": {
              "amountMicros": "-200000000",
              "currencyCode": "INR"
            },
            "eventTax": {
              "amountMicros": "-10000000",
              "currencyCode": "INR"
            },
            "eventFee": {
              "amountMicros": "8000000",
              "currencyCode": "INR"
            },
            "presentmentChargeAmount": {
              "amountMicros": "-200000000",
              "currencyCode": "INR"
            },
            "nanoExchangeRate": "10000000000000"
          }
        },
        {
          "eventRequestId": "IIghhhUrreQY233839II9qM==",
          "revshareCategory": "CONTENT",
          "issuerId": {
            "value": "invisiCarrier"
          },
          "eventDetail": {
            "eventCharge": {
              "amountMicros": "-150000000",
              "currencyCode": "INR"
            },
            "eventTax": {
              "amountMicros": "-7500000",
              "currencyCode": "INR"
            },
            "eventFee": {
              "amountMicros": "6000000",
              "currencyCode": "INR"
            },
            "presentmentChargeAmount": {
              "amountMicros": "-150000000",
              "currencyCode": "INR"
            },
            "nanoExchangeRate": "10000000000000"
          }
        }
      ]
    }

### HTTP request

`POST https://vgw.googleapis.com/gsp/carriers-v1/remittanceStatementDetails/https://developers.google.com/pay/carriers-v1/reference/glossary#payment_integrator_account_id`

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestHeader": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/RequestHeader) }, "statementId": string, "eventOffset": integer, "numberOfEvents": integer } ``` |

| Fields ||
|---|---|
| `requestHeader` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/RequestHeader)` **REQUIRED**: Common header for all requests. |
| `statementId` | `string` **REQUIRED**: Request ID of the statement notification. |
| `eventOffset` | `integer` **OPTIONAL** : Return events starting at this offset. This should be set to the `nextEventOffset` if one was returned or left unspecified if this is the first request. If `eventOffset` is zero, events will be returned starting with the first event. If this is two, events will be returned starting with the third event. If unspecified, `eventOffset` will be assumed to be zero. > [!NOTE] > **Note:** If `eventOffset` exceeds the total number of events (i.e. `eventOffset` \>= `remittanceStatementSummary.totalEvents`) then no events will be returned. <br /> |
| `numberOfEvents` | `integer` **OPTIONAL**: Number of events to show per page. If unspecified or greater than 1000, this will be 1000. |

### Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an `ErrorResponse`, consult the `ErrorResponse` object and [HTTP status codes documentation](https://developers.google.com/pay/carriers-v1/guides/connectivity/protocol-standards#http_status_codes).

| Possible response messages ||
|---|---|
| HTTP 200 Status | ``object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#RemittanceStatementDetailsResponse`)`` |
| HTTP 4XX / 5XX Status | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/ErrorResponse)` |

## RemittanceStatementDetailsResponse

Response object for the remittance statement detail method.

| JSON representation |
|---|
| ``` { "responseHeader": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/ResponseHeader) }, "eventOffset": integer, "nextEventOffset": integer, "remittanceStatementSummary": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/remittanceStatementNotification#RemittanceStatementSummary) }, "issuerSummaries": [ { object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#IssuerSummary`) } ], "captureEvents": [ { object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#Event`) } ], "refundEvents": [ { object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#Event`) } ], "adjustmentEvents": [ { object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#AdjustmentEvent`) } ] } ``` |

| Fields ||
|---|---|
| `responseHeader` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/ResponseHeader)` **REQUIRED**: Common header for all responses. |
| `eventOffset` | `integer` **REQUIRED**: The event offset of this response. |
| `nextEventOffset` | `integer` **OPTIONAL**: The offset of the next event to return. If unspecified there are no more events to retrieve for this statement. |
| `remittanceStatementSummary` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/remittanceStatementNotification#RemittanceStatementSummary)` **REQUIRED**: Summary of this remittance statement. |
| `issuerSummaries[]` | ``object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#IssuerSummary`)`` **REQUIRED**: Summaries of the events in this statement, categorized by issuer. <br /> > [!NOTE] > **Note:** this is a set, it has no defined order. <br /> |
| `captureEvents[]` | ``object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#Event`)`` **REQUIRED**: Set of capture events. <br /> > [!NOTE] > **Note:** this is a set, it has no defined order. <br /> |
| `refundEvents[]` | ``object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#Event`)`` **REQUIRED**: Set of refund events. <br /> > [!NOTE] > **Note:** this is a set, it has no defined order. <br /> |
| `adjustmentEvents[]` | ``object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#AdjustmentEvent`)`` **OPTIONAL**: Set of adjustment events. Adjustment events may be added at Google's discretion to reconcile billing discrepancies, for example if fees were undercomputed for a set of prior transactions, an adjustment may be used to make the integrator whole. <br /> > [!NOTE] > **Note:** this is a set, it has no defined order. <br /> |

## IssuerSummary

A summary of the events in this statement pertaining to a particular issuer.

| JSON representation |
|---|
| ``` { "issuerId": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/IssuerId) }, "totalByIssuer": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount) }, "captureSummaries": [ { object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#RevshareCategorySummary`) } ], "refundSummaries": [ { object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#RevshareCategorySummary`) } ] } ``` |

| Fields ||
|---|---|
| `issuerId` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/IssuerId)` **REQUIRED**: The issuer this summary applies to. |
| `totalByIssuer` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount)` **REQUIRED**: The invoiced amount attributed to this issuer in this statement. This value is provided for information only, it should not be remitted separately. Instead the totalDueByIntegrator found in the RemittanceStatementSummary should be remitted. |
| `captureSummaries[]` | ``object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#RevshareCategorySummary`)`` **OPTIONAL**: Summaries of all capture events that occurred during this statement period, classified by RevshareCategory. |
| `refundSummaries[]` | ``object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#RevshareCategorySummary`)`` **OPTIONAL**: Summaries of all refund events that occurred during this statement period, classified by RevshareCategory. |

## RevshareCategorySummary

A summary of transaction events pertaining to a particular revshare category.

| JSON representation |
|---|
| ``` { "revshareCategory": enum (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#RevshareCategory`), "totalCharges": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount) }, "totalItemPrice": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount) }, "totalFees": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount) }, "totalDirectTaxes": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount) }, "totalWithholdingTaxes": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount) } } ``` |

| Fields ||
|---|---|
| `revshareCategory` | ``enum (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#RevshareCategory`)`` **REQUIRED**: The revshare category applied to all events in this summary. |
| `totalCharges` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount)` **REQUIRED**: The sum of all event charges for this revshare category. |
| `totalItemPrice` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount)` **REQUIRED**: The sum of all item prices purchased in this revshare category. |
| `totalFees` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount)` **REQUIRED**: The sum of all fees for this revshare category. |
| `totalDirectTaxes` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount)` **REQUIRED**: The sum of all direct taxes, e.g. sales tax, charged for this revshare category. |
| `totalWithholdingTaxes` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount)` **REQUIRED**: The sum of all taxes withheld for this revshare category. |

## RevshareCategory

Products purchased through Carrier Billing are grouped into the categories defined below for the purpose of calculating and reporting revenue sharing fees. The amount of revenue shared per purchase may vary by category and is defined by the contract between Google and the payment integrator. The RevshareCategory to which an Event belongs is included on each Event in a RemittanceStatementDetailsResponse.

| Enums ||
|---|---|
| `REVSHARE_CATEGORY_UNSPECIFIED` | Do not ever set this default value |
| `APP` | App purchases |
| `APP_SUBSCRIPTION` | Recurring app purchases |
| `CONTENT` | Content, e.g. books, movies, and music |
| `SPECIAL_APP` | App purchases covered by proprietary revshare agreements |

## Event

Structure representing a single event included in a remittance statement.

| JSON representation |
|---|
| ``` { "eventRequestId": string, "revshareCategory": enum (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#RevshareCategory`), "issuerId": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/IssuerId) }, // Union field `event_info` can be only one of the following: "eventDetail": { object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#EventDetail`) }, "eventSummary": { object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#EventSummary`) } // End of list of possible types for union field `event_info`. } ``` |

| Fields ||
|---|---|
| `eventRequestId` | `string` **REQUIRED** : For capture or refund events, this will be the `requestId` that Google sends with the request. For reverse refund, chargeback and reverse chargeback events, this will be the `requestId` that the Payment Integrator sends with the notification of that event. |
| `revshareCategory` | ``enum (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#RevshareCategory`)`` **REQUIRED**: The revshare category applied to this Event. |
| `issuerId` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/IssuerId)` **REQUIRED**: The issuer this event applies to. |
| Union field `event_info`. **REQUIRED** : Summary or detailed information about this Event. `event_info` can be only one of the following: ||
| `eventDetail` | ``object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#EventDetail`)`` Detailed information about this event, including fees |
| `eventSummary` | ``object (`https://developers.google.com/pay/carriers-v1/google-carriers-api/remittanceStatementDetails#EventSummary`)`` Information about this event, excluding fees |

## EventDetail

| JSON representation |
|---|
| ``` { "eventCharge": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount) }, "eventTax": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount) }, "eventFee": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount) }, "presentmentChargeAmount": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount) }, "nanoExchangeRate": string } ``` |

| Fields ||
|---|---|
| `eventCharge` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount)` **REQUIRED**: If this value is negative then this represents monetary value moving from Google to the payment integrator. If this is positive it is money from the payment integrator due to Google. For example, capture transactions will always be positive, and refund transactions will always be negative. |
| `eventTax` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount)` **REQUIRED**: If this value is negative then this represents monetary value moving from Google to the payment integrator. If this is positive it is money from the payment integrator due to Google. This value is the tax applied directly to this event, e.g. sales tax. |
| `eventFee` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount)` **REQUIRED**: If this value is negative then this represents monetary value moving from Google to the payment integrator. If this is positive it is money from the payment integrator due to Google. For example, if an agreement says that Google will pay 1% of the `transactionCharge` to the payment integrator, and will reverse that 1% upon refund of that transaction, then the capture fee will be negative and upon refund the refund fee will be positive. |
| `presentmentChargeAmount` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount)` **REQUIRED** : Transaction amount in the presentment (aka transaction) currency prior to foreign exchange. This field follows the same sign convention as the `eventCharge` field. |
| `nanoExchangeRate` | `string (https://developers.google.com/discovery/v1/type-format format)` **REQUIRED**: The exchange rate used in converting the presentment amount to the settlement (invoice) amount. This value is in *nano* basis points (1 basis point = .0001 = .01%). That is, to get the exchange rate, divide this field by 10\^13. |

## EventSummary

Information about this event.

| JSON representation |
|---|
| ``` { "eventCharge": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount) }, "eventTax": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount) }, "presentmentChargeAmount": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount) }, "nanoExchangeRate": string } ``` |

| Fields ||
|---|---|
| `eventCharge` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount)` **REQUIRED**: If this value is negative then this represents monetary value moving from Google to the payment integrator. If this is positive it is money from the payment integrator due to Google. For example, capture transactions will always be positive, and refund transactions will always be negative. |
| `eventTax` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount)` **REQUIRED**: If this value is negative then this represents monetary value moving from Google to the payment integrator. If this is positive it is money from the payment integrator due to Google. This value is the tax applied directly to this event, e.g. sales tax. |
| `presentmentChargeAmount` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount)` **REQUIRED** : Transaction amount in the presentment (aka transaction) currency prior to foreign exchange. This field follows the same sign convention as the `eventCharge` field. |
| `nanoExchangeRate` | `string (https://developers.google.com/discovery/v1/type-format format)` **REQUIRED**: The exchange rate used in converting the presentment amount to the settlement (invoice) amount. This value is in *nano* basis points (1 basis point = .0001 = .01%). That is, to get the exchange rate, divide this field by 10\^13. |

## AdjustmentEvent

Information about an adjustment event.

| JSON representation |
|---|
| ``` { "adjustmentId": string, "adjustmentAmount": { object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount) }, "adjustmentDescription": string } ``` |

| Fields ||
|---|---|
| `adjustmentId` | `string` **REQUIRED**: A unique ID assigned by Google to this adjustment event. |
| `adjustmentAmount` | `object (https://developers.google.com/pay/carriers-v1/payment-integrator-carriers-api/Amount)` **REQUIRED**: If this value is negative then this represents monetary value moving from Google to the payment integrator. If this is positive it is money from the payment integrator due to Google. |
| `adjustmentDescription` | `string` **REQUIRED**: A human readable description of the reason this adjustment was created. |